import java.io.IOException;

public class Main {
    public static void main(String[] args) throws IOException {
        // Paramètres de simulation
        double D = 1000; // periode
        double lambdaValues[] = {0.5, 1.0, 1.5}; // liste des taux d'arrivé
        double muValues[] = {0.5, 1.0, 1.5}; // liste des taux de service

        MM1Queue q = new MM1Queue();
        // Simulation results
        int i = 1;
        for (double lambda : lambdaValues) {
            for (double mu : muValues) {
                q.setLambda(lambda);
                q.setMu(mu);
                q.simulateAndSave(D, "datas/simulation"+i+".dat");
                i++;
            }
        }
    }
}